grub-pc Probleme bei upgrade

Nemesis

N3RD
Beiträge
2.176
Hallo,

ich habe beim dist-upgrade folgendes Problem:
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Trigger für libreoffice-common (1:5.2.3~rc1-4) werden verarbeitet ...
grub-pc (2.02~beta3-1) wird eingerichtet ...
i386-pc wird für Ihre Plattform installiert.
installation beendet. Keine Fehler aufgetreten.
GRUB-Konfigurationsdatei wird erstellt …
Found background image: /usr/share/images/desktop-base/desktop-grub.png
/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
dpkg: Fehler beim Bearbeiten des Paketes grub-pc (--configure):
Unterprozess installiertes post-installation-Skript gab den Fehlerwert 127 zurück
Trigger für menu (2.1.47) werden verarbeitet ...
Trigger für initramfs-tools (0.125) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-4.3.0-1-amd64
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
WARNING: Unknown X keysym "XF86Terminal"
Trigger für libc-bin (2.24-5) werden verarbeitet ...
Trigger für libvlc-bin:amd64 (1:2.2.4-dmo6) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)
die lib gibts etwas neuer:
# ls -l /usr/lib/x86_64-linux-gnu/libcrypto.so
lrwxrwxrwx 1 root root 18 Sep 26 18:17 /usr/lib/x86_64-linux-gnu/libcrypto.so -> libcrypto.so.1.0.2
hat jemand ne Idee?
 

hellfire

Doppel-As
Beiträge
129
Code:
ln -s /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.2 /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0
 

marce

Kaiser
Beiträge
1.299
naja, das scheint ja ein Folge-Fehler zu sein.

Als komplett Außenstehender - welche Version von was willst Du denn auf welche Version aktualisieren? Vorher alle Updates eingespielt? Wie sehen die Paketquellen aus?
 

Nemesis

N3RD
Beiträge
2.176
hm, nur ein dist-upgrade.
Code:
deb http://ftp.de.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://ftp.de.debian.org/debian/ stretch-proposed-updates main contrib non-free
deb http://www.deb-multimedia.org testing main non-free
deb http://www.hu.freepascal.org/lazarus/ lazarus-stable universe

Code:
# apt-cache policy libssl-dev
libssl-dev:
  Installiert:           1.0.2j-1
  Installationskandidat: 1.0.2j-1
  Versionstabelle:
 *** 1.0.2j-1 500
        500 http://ftp.de.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
 

schwedenmann

Foren Gott
Beiträge
2.694
Hallo


Benutzt du den grub-customizer ?

Falls ja, schmeiß den mal runter und versuch dann ein sit-upgrade.

mfg
schwedenmann

P.S.
Ich habe nämlich kein /etc/grub.d/bin !! und auch kein problem mit dist-upgrade, ok ich nutze Sid
 

Nemesis

N3RD
Beiträge
2.176
Hallo,

nein, kein grub-customozer ... dpkg findet auch nichts, zu dem grubcfg_proxy passt ... jetzt wird's merkwürdig ...
 

Ähnliche Themen

Nvidia Hybrid-Grafikkarte: 3D Beschleunigung will nicht

Problem bei apt-get upgrade (Kali 2.0)

X startet nichtmehr

Fedora 20 - Unlösbare Paket-Duplikat Konflikte

unrar installation

Sucheingaben

/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

,

/etc/grub.d/bin/grubcfg_proxy: /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0: version `OPENSSL_1.0.0 not found (required by /etc/grub.d/bin/grubcfg_proxy)

,

Fehler beim Bearbeiten des Paketes grub-pc (--configure):

,
Unknown X keysym
, etc/grub.d/bin/grubcfg_proxy error libraries libssl.so.1
Oben